@apielements/apiaryb-parser

API Elements parser for deprecated Apiary Blueprint language

Downloads in past

Stats

StarsIssuesVersionUpdatedCreatedSize
@apielements/apiaryb-parser
69660.2.12 years ago2 years agoMinified + gzip package size for @apielements/apiaryb-parser in KB

Readme

API Elements: Apiary Blueprint Parser
NPM version License
This adapter provides support for parsing the deprecated Apiary Blueprint format in Fury.js. We do not recommend using this adapter in any new development, it's only used for backwards compatibility with the legacy format.

Installation

$ npm install @apielements/apiaryb-parser

Usage

import fury from 'fury';
import apiaryBlueprintAdapter from '@apielements/apiaryb-parser';

fury.use(apiaryBlueprintAdapter);

fury.parse({source: '--- Your Legacy Apiary Blueprint'}, (err, result) => {
  if (err) {
    console.log(err);
    return;
  }

  // The returned `result` is a Minim parse result element.
  console.log(result.api.title);
});